class Master::Api::BaseController < Master::BaseController

  include SiteAccountSupport

  before_action :authenticate!

  private

  def authenticate!
    unless params[:api_key] == Account.master.api_key
      render text: 'unauthorized', status: 401
    end
  end
end
